> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start device traffic inspection

> Starts one live-only decoded HTTP/1.1, HTTP/2, HTTP/3 and WebSocket traffic session.



## OpenAPI

````yaml /api-reference/phones/traffic-sessions.yaml post /devices/{deviceId}/traffic/sessions
openapi: 3.1.0
info:
  title: Traffic Sessions
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /devices/{deviceId}/traffic/sessions:
    post:
      tags:
        - Traffic Sessions
      summary: Start device traffic inspection
      description: >-
        Starts one live-only decoded HTTP/1.1, HTTP/2, HTTP/3 and WebSocket
        traffic session.
      operationId: create-device-traffic-session
      parameters:
        - in: path
          name: deviceId
          required: true
          schema:
            type: string
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSessionBody'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Session'
          description: Accepted
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const trafficSession = await
            client.devices.trafficSessions.create('deviceId');


            console.log(trafficSession.id);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            traffic_session = client.devices.traffic_sessions.create(
                device_id="deviceId",
            )
            print(traffic_session.id)
components:
  schemas:
    CreateSessionBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/CreateSessionBody.json
          format: uri
          readOnly: true
          type: string
        expiresInSeconds:
          default: 3600
          format: int64
          maximum: 14400
          minimum: 60
          type: integer
        maxBodyBytes:
          default: 1048576
          format: int64
          maximum: 10485760
          minimum: 0
          type: integer
      type: object
    Session:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/Session.json
          format: uri
          readOnly: true
          type: string
        createdAt:
          format: date-time
          type: string
        deviceId:
          type: string
        error:
          $ref: '#/components/schemas/SessionError'
        expiresAt:
          format: date-time
          type: string
        id:
          type: string
        maxBodyBytes:
          format: int64
          type: integer
        retention:
          enum:
            - none
          type: string
        startedAt:
          format: date-time
          type: string
        state:
          enum:
            - starting
            - active
            - stopping
            - stopped
            - failed
            - expired
          type: string
        stoppedAt:
          format: date-time
          type: string
        stream:
          $ref: '#/components/schemas/StreamCredentials'
      required:
        - id
        - deviceId
        - state
        - createdAt
        - expiresAt
        - maxBodyBytes
        - retention
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    SessionError:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object
    StreamCredentials:
      additionalProperties: false
      properties:
        protocol:
          type: string
        token:
          type: string
        url:
          type: string
      required:
        - url
        - token
        - protocol
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.